sym

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.JFlex
Interface sym

All Known Implementing Classes:
  LexScan

    public interface sym

CUP generated interface containing symbol constants.

Field Summary
`static int` | `ACTION`
`static int` | `BANG`
`static int` | `BAR`
`static int` | `CCLASS`
`static int` | `CCLASSNOT`
`static int` | `CHAR`
`static int` | `CHAR_I`
`static int` | `CLOSEBRACKET`
`static int` | `CLOSECLASS`
`static int` | `COMMA`
`static int` | `CONCAT`
`static int` | `DASH`
`static int` | `DELIMITER`
`static int` | `DIGITCLASS`
`static int` | `DOLLAR`
`static int` | `EOF`
`static int` | `EOFRULE`
`static int` | `EQUALS`
`static int` | `error`
`static int` | `FULL`
`static int` | `HAT`
`static int` | `IDENT`
`static int` | `JLETTERCLASS`
`static int` | `JLETTERDIGITCLASS`
`static int` | `LBRACE`
`static int` | `LESSTHAN`
`static int` | `LETTERCLASS`
`static int` | `LOOKAHEAD`
`static int` | `LOWERCLASS`
`static int` | `MACROUSE`
`static int` | `MORETHAN`
`static int` | `NOACTION`
`static int` | `OPENBRACKET`
`static int` | `OPENCLASS`
`static int` | `PLUS`
`static int` | `POINT`
`static int` | `QUESTION`
`static int` | `RBRACE`
`static int` | `REGEXPEND`
`static int` | `REPEAT`
`static int` | `STAR`
`static int` | `STRING`
`static int` | `STRING_I`
`static int` | `TILDE`
`static int` | `UNICODE`
`static int` | `UPPERCLASS`
`static int` | `USERCODE`

Field Detail

### DELIMITER

    static final int DELIMITER

See Also:
  Constant Field Values

### EOFRULE

    static final int EOFRULE

See Also:
  Constant Field Values

### STRING_I

    static final int STRING_I

See Also:
  Constant Field Values

### CHAR

    static final int CHAR

See Also:
  Constant Field Values

### CONCAT

    static final int CONCAT

See Also:
  Constant Field Values

### MACROUSE

    static final int MACROUSE

See Also:
  Constant Field Values

### LOWERCLASS

    static final int LOWERCLASS

See Also:
  Constant Field Values

### EQUALS

    static final int EQUALS

See Also:
  Constant Field Values

### CCLASSNOT

    static final int CCLASSNOT

See Also:
  Constant Field Values

### REPEAT

    static final int REPEAT

See Also:
  Constant Field Values

### TILDE

    static final int TILDE

See Also:
  Constant Field Values

### CHAR_I

    static final int CHAR_I

See Also:
  Constant Field Values

### STAR

    static final int STAR

See Also:
  Constant Field Values

### BAR

    static final int BAR

See Also:
  Constant Field Values

### FULL

    static final int FULL

See Also:
  Constant Field Values

### LOOKAHEAD

    static final int LOOKAHEAD

See Also:
  Constant Field Values

### LESSTHAN

    static final int LESSTHAN

See Also:
  Constant Field Values

### BANG

    static final int BANG

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### JLETTERDIGITCLASS

    static final int JLETTERDIGITCLASS

See Also:
  Constant Field Values

### PLUS

    static final int PLUS

See Also:
  Constant Field Values

### USERCODE

    static final int USERCODE

See Also:
  Constant Field Values

### EOF

    static final int EOF

See Also:
  Constant Field Values

### error

    static final int error

See Also:
  Constant Field Values

### DASH

    static final int DASH

See Also:
  Constant Field Values

### CLOSEBRACKET

    static final int CLOSEBRACKET

See Also:
  Constant Field Values

### HAT

    static final int HAT

See Also:
  Constant Field Values

### JLETTERCLASS

    static final int JLETTERCLASS

See Also:
  Constant Field Values

### IDENT

    static final int IDENT

See Also:
  Constant Field Values

### ACTION

    static final int ACTION

See Also:
  Constant Field Values

### CLOSECLASS

    static final int CLOSECLASS

See Also:
  Constant Field Values

### DIGITCLASS

    static final int DIGITCLASS

See Also:
  Constant Field Values

### LBRACE

    static final int LBRACE

See Also:
  Constant Field Values

### REGEXPEND

    static final int REGEXPEND

See Also:
  Constant Field Values

### OPENCLASS

    static final int OPENCLASS

See Also:
  Constant Field Values

### OPENBRACKET

    static final int OPENBRACKET

See Also:
  Constant Field Values

### POINT

    static final int POINT

See Also:
  Constant Field Values

### LETTERCLASS

    static final int LETTERCLASS

See Also:
  Constant Field Values

### MORETHAN

    static final int MORETHAN

See Also:
  Constant Field Values

### DOLLAR

    static final int DOLLAR

See Also:
  Constant Field Values

### RBRACE

    static final int RBRACE

See Also:
  Constant Field Values

### STRING

    static final int STRING

See Also:
  Constant Field Values

### QUESTION

    static final int QUESTION

See Also:
  Constant Field Values

### UPPERCLASS

    static final int UPPERCLASS

See Also:
  Constant Field Values

### NOACTION

    static final int NOACTION

See Also:
  Constant Field Values

### CCLASS

    static final int CCLASS

See Also:
  Constant Field Values

### UNICODE

    static final int UNICODE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD